{if isset($error)}
	<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
	<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
{if $artikel}
	<h3>{__('Preiskonfiguration von %s (%s)',$artikel->cName,$artikel->cArtNr)}</h3>
{else}
	<h3>{__('Price configuration from feature attribute [%s]',$fktattr)}</h3>
{/if}
<p>{__('Gebe hier beliebig viele Preiskonfigurationen an, die von oben nach unten abgearbeitet werden, <strong>nachdem</strong> JTL den Preis berechnet hat.<br>In allen Freitextfeldern kannst du auf Funktionsattribute aus Artikeln zugreifen, gebe dieses dazu in eckigen Klammern an. Für das Funktionsattribut "preisfaktor"  gibst du z.B. <strong>[preisfaktor]</strong> an.<br><strong>Hinweis:</strong>Alle Preise/Zahlen sind in netto!')}</p>
<p class="alert alert-primary">{__('Nur in Zahlen umgewandelte Freitextfelder sind nutzbar!')}</p>
	<button class="btn btn-primary" onclick="javascript:addManipulation();"><i class="fa fa-plus"></i> {__('Neue Preiskonfiguration')}</button><br><br>
<form  method="post">

	<input type="hidden" name="action" value="manipulations">
	{if $artikel}
		<input type="hidden" name="kArtikel" value="{$artikel->kArtikel}">
	{else}
		<input type="hidden" name="fktattr" value="{$fktattr}">
	{/if}

	<div id="weitereKonfigs">
	{assign var="anzManipulation" value="0"}
	{assign var="anzBedingungen" value="0"}
	{assign var="anzAktionen" value="0"}
	{assign var="js_after" value=""}
	{foreach from=$manipulations item="manipulation"}
		{assign var="anzManipulation" value=$anzManipulation+1}
		<div class="panel panel-default" id="manipulation_{$anzManipulation}">
			<div class="panel-heading" style="background: #f5f5f5;">
				<h3 class="panel-title col-md-2">{__('Preismanipulation')}</h3>
				<div class="col-md-1">
					<input type="text" class="form-control" name="config[{$anzManipulation}][sort]" value="{$manipulation->sort}" placeholder="sort">
				</div>
				<div class="col-md-5">
					<input type="text" class="form-control" name="config[{$anzManipulation}][name]" value="{$manipulation->name}" placeholder="{__('Eigener Name')}">
				</div>
				<div class="col-md-4 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('manipulation_{$anzManipulation}');"><i class="fa fa-plus"></i> {__('Entfernen')}</button></div>
				<div class="clear"></div>
			</div>
			<div class="panel-body" style="background: #f5f5f5;">
				<div class="bedingungen" id="bedingung_{$anzManipulation}">
					<div class="row">
						<h4 class="col-md-3">{__('Bedingungen')}</h4>
						<div class="col-md-5 text-right">
							<select class="form-control" name="config[{$anzManipulation}][type]">
								<option value="1"{if $manipulation->json->type == 1} selected{/if}>{__('UND (alle Bedingungen treffen zu)')}</option>
								<option value="0"{if $manipulation->json->type == 0} selected{/if}>{__('ODER (min. 1 Bedingung trifft zu)')}</option>
							</select>
						</div>
						<div class="col-md-4 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addBedingung({$anzManipulation});"><i class="fa fa-plus"></i> {__('Neue Bedingung')}</button></div>
					</div>
					{if isset($manipulation->json->if)}
					{foreach from=$manipulation->json->if item="if"}
						{assign var="anzBedingungen" value=$anzBedingungen+1}
						<div class="bedingung" id="bedingung_{$anzManipulation}_{$anzBedingungen}">
							<div class="row p-2">
								<div class="col-md-2">
									<select class="form-control" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft]" id="config_if_{$anzManipulation}_{$anzBedingungen}" onchange="setBedingung(this,{$anzManipulation},{$anzBedingungen},false);">
										<option value="0" disabled>-- {__('Bitte wählen')} --</option>
										{foreach from=$fields item="field"}
											<option value="{$field->kEigenschaft}" data-optionen='{$field->optionen}'{if $if->eigenschaft == $field->kEigenschaft} selected{/if}>{$field->cName}</option>
										{/foreach}
										<option value="-1"{if $if->eigenschaft == -1} selected{/if}>{__('Eigene Formel')}:</option>
									</select>
								</div>
								<div class="col-md-5">
									<div type="text" class="form-control {if $if->eigenschaft>0}hidden{/if} formel" id="bedingungformel_{$anzManipulation}_{$anzBedingungen}">
										<div id="bedingungformel_div_{$anzManipulation}_{$anzBedingungen}" class="" contenteditable onkeyup="formel(this,'bedingungformel_input_{$anzManipulation}_{$anzBedingungen}');">{$if->eigenschaft_formel|formel}</div>
										<input type="hidden" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_formel]" id="bedingungformel_input_{$anzManipulation}_{$anzBedingungen}" value="{$if->eigenschaft_formel}" />
									</div>
									<div class="selectableFields {if $if->eigenschaft>0}hidden{/if}" id="bedingungformel_fields_{$anzManipulation}_{$anzBedingungen}">
												<button type="button" class="btn btn-danger" onclick="javascript:addPreis2({$anzManipulation},{$anzBedingungen});"><i class="fa fa-plus"></i> {__('Preis')}</button>
									{foreach from=$fields item="field"}
										{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
											<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField(this,{$anzManipulation},{$anzBedingungen});"><i class="fa fa-plus"></i> {$field->cName}</button>
										{/if}
									{/foreach}
									<button type="button" class="btn btn-default" onclick="javascript:addMenge('#bedingungformel_div_{$anzManipulation}_{$anzBedingungen}');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
									</div>
								</div>
								<div class="col-md-2">
									<select name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_if]" id="bedingungSelektor_{$anzManipulation}_{$anzBedingungen}" class="form-control left">
										<option value="="{if $if->eigenschaft_if == "="} selected{/if}>{__('entspricht')}</option>
										<option value="!="{if $if->eigenschaft_if == "!="} selected{/if}>{__('entspricht nicht')}</option>
										<option value="<"{if $if->eigenschaft_if == "<"} selected{/if}>{__('Kleiner als')}</option>
										<option value=">"{if $if->eigenschaft_if == ">"} selected{/if}>{__('Größer als')}</option>
									</select>
								</div>
								<div class="col-md-2">
									<input type="text" value="{$if->eigenschaft_value}" name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_value]" id="bedingungValue_{$anzManipulation}_{$anzBedingungen}" class="form-control right" placeholder="{__('z.B. 20')}">
									<select name="config[{$anzManipulation}][if][{$anzBedingungen}][eigenschaft_wert]" id="bedingungValueSelect_{$anzManipulation}_{$anzBedingungen}" class="form-control right hidden"></select>
									{if $if->eigenschaft>0}
										{assign var="js_after" value="{$js_after} setBedingung(document.getElementById('config_if_{$anzManipulation}_{$anzBedingungen}'),{$anzManipulation},{$anzBedingungen},{if !empty($if->eigenschaft_wert)}{$if->eigenschaft_wert}{else}false{/if});"}
									{/if}
								</div>
								<div class="col-md-1">
									<button type="button" class="btn btn-danger" onclick="javascript:removeMe('bedingung_{$anzManipulation}_{$anzBedingungen}');"><i class="fa fa-trash"></i></button>
								</div>
							</div>
						</div>
					{/foreach}
					{/if}
				</div>
				<div class="aktionen" id="aktion_{$anzManipulation}">
					<div class="row">
						<h4 class="col-md-9">{__('Aktionen')}</h4>
						<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addAktion({$anzManipulation});"><i class="fa fa-plus"></i> {__('Neue Berechnung/Aktion')}</button></div>
					</div>
					{if isset($manipulation->json->aktion)}
					{foreach from=$manipulation->json->aktion item="aktion"}
						{assign var="anzAktionen" value=$anzAktionen+1}
						<div class="aktion row p-2" id="aktion_{$anzManipulation}_{$anzAktionen}">
							<div class="col-md-2">
								<select class="form-control" onchange="setAktion(this,{$anzManipulation},{$anzAktionen});" name="config[{$anzManipulation}][aktion][{$anzAktionen}][type]">
									<option value="0" disabled>-- {__('Bitte wählen')} --</option>
									<option value="1"{if $aktion->type==1} selected{/if}>{__('Preis anpassen')}</option>
									<option value="2"{if $aktion->type==2} selected{/if}>{__('Freitextfeld befüllen')}</option>
									<option value="3"{if $aktion->type==3} selected{/if}>{__('Freitextfeld ausblenden')}</option>
									<option value="4"{if $aktion->type==4} selected{/if}>{__('Freitextfeld einblenden')}</option>
									<option value="5"{if $aktion->type==5} selected{/if}>{__('Gewicht anpassen')}</option>
									<option value="6"{if $aktion->type==6} selected{/if}>{__('Grundpreis anpassen')}</option>
									<option value="7"{if $aktion->type==7} selected{/if}>{__('JavaScript ausführen')}</option>
								</select>
							</div>
							<div id="aktion_preis_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=1 && $aktion->type !=5 && $aktion->type !=6 && $aktion->type !=7}hidden {/if}col-md-9">
								<div class="row">
									<div class="col-md-4{if $aktion->type!=1} hidden{/if}">
										<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_type]" onchange="setAktionPreis(this,{$anzManipulation},{$anzAktionen});" >
											<option value="0"{if $aktion->preis_type==0} selected{/if}>{__('Fester Aufpreis')}</option>
											<option value="1"{if $aktion->preis_type==1} selected{/if}>{__('Prozentualer Aufpreis')}</option>
											<option value="2"{if $aktion->preis_type==2} selected{/if}>{__('Formel')}</option>
										</select>
									</div>
										<div class="col-md-8">
										<div class="right{if $aktion->preis_type==2 || $aktion->type == 5 || $aktion->type == 6 || $aktion->type == 7} hidden{/if}">
											<input type="text" class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_wert]" value="{$aktion->preis_wert}" placeholder="{__('z.B. 10 (ohne EUR oder % !)')}" />
										</div>
										<div class="full{if $aktion->preis_type!=2 && $aktion->type==1} hidden{/if}">
											<div type="text" class="form-control formel">
												<div id="aktion_preis_formel_div_{$anzManipulation}_{$anzAktionen}" class="formel" contenteditable onkeyup="formel(this,'aktion_preis_formel_{$anzManipulation}_{$anzAktionen}');">{$aktion->preis_formel|formel}</div>
												<input type="hidden" name="config[{$anzManipulation}][aktion][{$anzAktionen}][preis_formel]" value="{$aktion->preis_formel}" id="aktion_preis_formel_{$anzManipulation}_{$anzAktionen}" value="" />
											</div>
											<div class="selectableFields">
												<button type="button" class="btn btn-danger preis-btn{if $aktion->type==5} hidden{/if}" onclick="javascript:addPreis({$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {__('Preis')}</button>
												<button type="button" class="btn btn-warning gewicht-btn{if $aktion->type!=5 && $aktion->type!=7} hidden{/if}" onclick="javascript:addGewicht({$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {__('Gewicht')}</button>
												{foreach from=$fields item="field"}
													{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
														<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField2(this,{$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {$field->cName}</button>
													{/if}
												{/foreach}
												<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_preis_formel_div_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
											</div>
											
										</div>
									</div>
									<div class="col-md-4 grundpreis-info{if $aktion->type!=6} hidden{/if}">
										{__('Mengenfaktor (Preis / Faktor = Grundpreis)')}
									</div>
								</div>
							</div>
							<div id="aktion_verstecken_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=3 && $aktion->type!=4}hidden {/if}col-md-9">
								<div class="input-group">
									<span class="input-group-addon"><label for="config[{$anzManipulation}][aktion][{$anzAktionen}][verstecken]">{__('Feld festlegen')}</label></span>
									<span class="input-group-wrap">
										<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][verstecken]">
											<option value="0" disabled>-- {__('Bitte wählen')} --</option>
											{foreach from=$fields item="field"}
												{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
													<option value="{$field->kEigenschaft}"{if $field->kEigenschaft == $aktion->verstecken} selected{/if}>{$field->cName}</option>
												{/if}
											{/foreach}
										</select>
									</span>
								</div>
							</div>
							<div id="aktion_feld_{$anzManipulation}_{$anzAktionen}" class="{if $aktion->type!=2}hidden {/if}col-md-9">
									<div class="input-group">
										<span class="input-group-addon"><label for="config[{$anzManipulation}][aktion][{$anzAktionen}][field]">{__('Feld festlegen')}</label></span>
										<span class="input-group-wrap">
											<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_input]">
												<option value="0" disabled>-- {__('Bitte wählen')} --</option>
												{foreach from=$fields item="field"}
													{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
														<option value="{$field->kEigenschaft}"{if $field->kEigenschaft == $aktion->field_input} selected{/if}>{$field->cName}</option>
													{/if}
												{/foreach}
											</select>
										</span>
									</div>
								<div class="row">
									<div class="col-md-3">
										<select class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_type]" onchange="setAktionFeld(this,{$anzManipulation},{$anzAktionen});" >
											<option value="0"{if $aktion->field_type==0} selected{/if}>{__('Fester Wert')}</option>
											<option value="1"{if $aktion->field_type==1} selected{/if}>{__('Formel')}</option>
										</select>
									</div>
									<div class="col-md-9 right{if $aktion->field_type==1} hidden{/if}">
										<input type="text" class="form-control" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_value]" value="{$aktion->field_value}" placeholder="{__('z.B. 50 oder auch ein Text')}" />
									</div>
									<div class="col-md-9 full{if $aktion->field_type!=1} hidden{/if}">
										<div class="row">
										<input type="text" class="form-control col-md-6" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_praefix]" value="{$aktion->field_praefix}" placeholder="{__('Präfix (vorstellen)')}" />
										<input type="text" class="form-control col-md-6" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_suffix]" value="{$aktion->field_suffix}" placeholder="{__('Suffix (nachstellen)')}" />
										</div>

										<div type="text" class="form-control formel row" style="width: auto">
											<div id="aktion_feld_formel_div_{$anzManipulation}_{$anzAktionen}" class="formel" contenteditable onkeyup="formel(this,'aktion_feld_formel_{$anzManipulation}_{$anzAktionen}');">{$aktion->field_formel|formel}</div>
											<input type="hidden" value="{$aktion->field_formel}" name="config[{$anzManipulation}][aktion][{$anzAktionen}][field_formel]" id="aktion_feld_formel_{$anzManipulation}_{$anzAktionen}" value="" />
										</div>
										<div class="selectableFields">
												<button type="button" class="btn btn-danger" onclick="javascript:addPreis3({$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {__('Preis')}</button>
										{foreach from=$fields item="field"}
											{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
												<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField3(this,{$anzManipulation},{$anzAktionen});"><i class="fa fa-plus"></i> {$field->cName}</button>
											{/if}
										{/foreach}
										<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_feld_formel_div_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
										</div>
									</div>
								</div>
							</div>
							<div class="col-md-1">
								<button type="button" class="btn btn-danger" onclick="javascript:removeMe('aktion_{$anzManipulation}_{$anzAktionen}');"><i class="fa fa-trash"></i></button>
							</div>
						</div>
					{/foreach}
					{/if}
				</div>
			</div>
		</div>
	{/foreach}
	</div>
	<a href="?abort" class="btn btn-default">{__('Zurück zur Übersicht')}</a>
	<button type="submit" class="btn btn-primary" name="saveManipulations" value="1">
		<i class="fa fa-share"></i> {__('Speichern')}
	</button>
</form>

<script type="text/template" id="konfigTemplate">
	<div class="panel panel-default" id="manipulation_##i##">
		<div class="panel-heading" style="background: #f5f5f5;">
			<h3 class="panel-title col-md-9">{__('Preismanipulation')}</h3>
			<div class="col-md-3 text-right"><button type="button" class="btn btn-danger right" onclick="javascript:removeMe('manipulation_##i##');"><i class="fa fa-plus"></i> {__('Entfernen')}</button></div>
			<div class="clear"></div>
		</div>
		<div class="panel-body" style="background: #f5f5f5;">
			<div class="input-group">
				<span class="input-group-addon"><label for="config[##i##][sort]">{__('Sortier-Nummer')}</label></span>
				<span class="input-group-wrap">
					<input type="text" class="form-control" name="config[##i##][sort]" value="##i##">
				</span>
			</div>
			<div class="bedingungen" id="bedingung_##i##">
				<div class="row">
					<h4 class="col-md-3">{__('Bedingungen')}</h4>
					<div class="col-md-5 text-right">
						<select class="form-control" name="config[##i##][type]">
							<option value="1" selected>{__('UND (alle Bedingungen treffen zu)')}</option>
							<option value="0">{__('ODER (min. 1 Bedingung trifft zu)')}</option>
						</select>
					</div>
					<div class="col-md-4 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addBedingung(##i##);"><i class="fa fa-plus"></i> {__('Neue Bedingung')}</button></div>
				</div>
			</div>
			<div class="aktionen" id="aktion_##i##">
				<div class="row">
					<h4 class="col-md-9">{__('Aktionen')}</h4>
					<div class="col-md-3 text-right"><button type="button" class="btn btn-primary right" onclick="javascript:addAktion(##i##);"><i class="fa fa-plus"></i> {__('Neue Berechnung/Aktion')}</button></div>
				</div>
			</div>
		</div>
	</div>
</script>


<script type="text/template" id="aktionTemplate">
	<div class="aktion row p-2" id="aktion_##i##_##a##">
		<div class="col-md-2">
			<select class="form-control" onchange="setAktion(this,##i##,##a##);" name="config[##i##][aktion][##a##][type]">
				<option value="0" disabled selected>-- {__('Bitte wählen')} --</option>
				<option value="1">{__('Preis anpassen')}</option>
				<option value="2">{__('Freitextfeld befüllen')}</option>
				<option value="3">{__('Freitextfeld ausblenden')}</option>
				<option value="4">{__('Freitextfeld einblenden')}</option>
				<option value="5">{__('Gewicht anpassen')}</option>
				<option value="6">{__('Grundpreis anpassen')}</option>
				<option value="7">{__('JavaScript ausführen')}</option>
			</select>
		</div>
		<div id="aktion_preis_##i##_##a##" class="hidden col-md-9">
			<div class="row">
				<div class="col-md-4">
					<select class="form-control" name="config[##i##][aktion][##a##][preis_type]" onchange="setAktionPreis(this,##i##,##a##);" >
						<option value="0">{__('Fester Aufpreis')}</option>
						<option value="1">{__('Prozentualer Aufpreis')}</option>
						<option value="2">{__('Formel')}</option>
					</select>
				</div>
				<div class="col-md-8">
					<div class="right">
						<input type="text" class="form-control" name="config[##i##][aktion][##a##][preis_wert]" placeholder="{__('z.B. 10 (ohne EUR oder % !)')}" />
					</div>
					<div class="full hidden">
						<div type="text" class="form-control formel">
							<div id="aktion_preis_formel_div_##i##_##a##" class="formel" contenteditable onkeyup="formel(this,'aktion_preis_formel_##i##_##a##');">
							
							</div>
							<input type="hidden" name="config[##i##][aktion][##a##][preis_formel]" id="aktion_preis_formel_##i##_##a##" value="" />
						</div>
						<div class="selectableFields">
							<button type="button" class="btn btn-danger preis-btn" onclick="javascript:addPreis(##i##,##a##);"><i class="fa fa-plus"></i> {__('Preis')}</button>
							<button type="button" class="btn btn-warning gewicht-btn hidden" onclick="javascript:addGewicht(##i##,##a##);"><i class="fa fa-plus"></i> {__('Gewicht')}</button>
						{foreach from=$fields item="field"}
							{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
								<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField2(this,##i##,##a##);"><i class="fa fa-plus"></i> {$field->cName}</button>
							{/if}
						{/foreach}
							<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_preis_formel_div_##i##_##a##');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
						</div>
						
					</div>
				</div>
				<div class="col-md-4 grundpreis-info hidden">
					{__('Mengenfaktor (Preis / Faktor = Grundpreis)')}
				</div>
			</div>
		</div>
		<div id="aktion_verstecken_##i##_##a##" class="hidden col-md-9">
			<div class="input-group">
				<span class="input-group-addon"><label for="config[##i##][aktion][##a##][verstecken]">{__('Feld festlegen')}</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="config[##i##][aktion][##a##][verstecken]">
						<option value="0" disabled>-- {__('Bitte wählen')} --</option>
						{foreach from=$fields item="field"}
							{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
								<option value="{$field->kEigenschaft}">{$field->cName}</option>
							{/if}
						{/foreach}
					</select>
				</span>
			</div>
		</div>
		<div id="aktion_feld_##i##_##a##" class="hidden col-md-9">
			<div class="input-group">
				<span class="input-group-addon"><label for="config[##i##][aktion][##a##][field]">{__('Feld festlegen')}</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="config[##i##][aktion][##a##][field_input]">
						<option value="0" disabled selected>-- {__('Bitte wählen')} --</option>
						{foreach from=$fields item="field"}
							{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
								<option value="{$field->kEigenschaft}">{$field->cName}</option>
							{/if}
						{/foreach}
					</select>
				</span>
			</div>
			<div class="row">
				<div class="col-md-3">
					<select class="form-control" name="config[##i##][aktion][##a##][field_type]" onchange="setAktionFeld(this,##i##,##a##);" >
						<option value="0">{__('Fester Wert')}</option>
						<option value="1">{__('Formel')}</option>
					</select>
				</div>
				<div class="col-md-9 right">
						<input type="text" class="form-control" name="config[##i##][aktion][##a##][field_value]" placeholder="{__('z.B. 50 oder auch ein Text')}" />
				</div>
				<div class="full hidden col-md-9">
					<div class="row">
						<input type="text" class="form-control col-md-6" name="config[##i##][aktion][##a##][field_praefix]" placeholder="{__('Präfix (vorstellen)')}" />
						<input type="text" class="form-control col-md-6" name="config[##i##][aktion][##a##][field_suffix]" placeholder="{__('Suffix (nachstellen)')}" />
					</div>
					<div class="clear"></div>

					<div type="text" class="form-control formel row" style="width: auto;">
						<div id="aktion_feld_formel_div_##i##_##a##" class="formel" contenteditable onkeyup="formel(this,'aktion_feld_formel_##i##_##a##');">
						
						</div>
						<input type="hidden" name="config[##i##][aktion][##a##][field_formel]" id="aktion_feld_formel_##i##_##a##" value="" />
					</div>
					<div class="selectableFields">
												<button type="button" class="btn btn-danger" onclick="javascript:addPreis3(##i##,##a##);"><i class="fa fa-plus"></i> {__('Preis')}</button>
					{foreach from=$fields item="field"}
						{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
							<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField3(this,##i##,##a##);"><i class="fa fa-plus"></i> {$field->cName}</button>
						{/if}
					{/foreach}
					<button type="button" class="btn btn-default" onclick="javascript:addMenge('#aktion_feld_formel_div_##i##_##a##');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-1">
			<button type="button" class="btn btn-danger" onclick="javascript:removeMe('aktion_##i##_##a##');"><i class="fa fa-trash"></i></button>
		</div>
	</div>
</script>
<script type="text/template" id="bedingungTemplate">
	<div class="bedingung" id="bedingung_##i##_##b##">
		<div class="row p-2">
			<div class="col-md-2">
				<select class="form-control" name="config[##i##][if][##b##][eigenschaft]" onchange="setBedingung(this,##i##,##b##,false);">
					<option value="0" disabled selected>-- {__('Bitte wählen')} --</option>
					{foreach from=$fields item="field"}
						<option value="{$field->kEigenschaft}" data-optionen='{$field->optionen}'>{$field->cName}</option>
					{/foreach}
					<option value="-1">{__('Eigene Formel')}:</option>
				</select>
			</div>
			<div class="col-md-5">
				<div type="text" class="form-control hidden formel" id="bedingungformel_##i##_##b##">
					<div id="bedingungformel_div_##i##_##b##" class="" contenteditable onkeyup="formel(this,'bedingungformel_input_##i##_##b##');">
					
					</div>
					<input type="hidden" name="config[##i##][if][##b##][eigenschaft_formel]" id="bedingungformel_input_##i##_##b##" value="" />
				</div>
				<div class="selectableFields hidden" id="bedingungformel_fields_##i##_##b##">
						<button type="button" class="btn btn-danger" onclick="javascript:addPreis2(##i##,##b##);"><i class="fa fa-plus"></i> {__('Preis')}</button>
				{foreach from=$fields item="field"}
					{if $field->cTyp == "PFLICHT-FREIFELD" || $field->cTyp == "FREIFELD" }
						<button type="button" class="btn btn-primary" data-key="{$field->kEigenschaft}" data-name="{$field->cName}" onclick="javascript:addField(this,##i##,##b##);"><i class="fa fa-plus"></i> {$field->cName}</button>
					{/if}
				{/foreach}
				<button type="button" class="btn btn-default" onclick="javascript:addMenge('#bedingungformel_div_##i##_##b##');"><i class="fa fa-plus"></i> {__('Anzahl')}</button>
				</div>
			</div>

			<div class="col-md-2">
				<select name="config[##i##][if][##b##][eigenschaft_if]" id="bedingungSelektor_##i##_##b##" class="form-control left">
					<option value="=">{__('entspricht')}</option>
					<option value="!=">{__('entspricht nicht')}</option>
					<option value="<">{__('Kleiner als')}</option>
					<option value=">">{__('Größer als')}</option>
				</select>
			</div>
			<div class="col-md-2">
				<input type="text" name="config[##i##][if][##b##][eigenschaft_value]" id="bedingungValue_##i##_##b##" class="form-control right" placeholder="{__('z.B. 20')}">
				<select name="config[##i##][if][##b##][eigenschaft_wert]" id="bedingungValueSelect_##i##_##b##" class="form-control right hidden"></select>
			</div>
			<div class="col-md-1">
				<button type="button" class="btn btn-danger right" onclick="javascript:removeMe('bedingung_##i##_##b##');"><i class="fa fa-trash"></i></button>
			</div>
		</div>
	</div>
</script>

<script type="text/javascript">
var anzFields = {$anzManipulation};
var anzBedingung = {$anzBedingungen};
var anzAktionen = {$anzAktionen};
function addManipulation()
{ldelim}
	anzFields++;
	var html = $('#konfigTemplate').html();
	html = html.replace(/##i##/g,anzFields);
	$('#weitereKonfigs').append(html);
	return false;
{rdelim}

function removeMe(elem)
{
	$('#'+elem).remove();
}

function formel(elem,target)
{
	var formel = $(elem).html().trim();
	var ghost = $('<div>');
	ghost.append(formel);
	ghost.find('span').each(function()
	{
		if($(this).attr('data-value') == 'price')
			$(this).html('##price##');
		else if($(this).attr('data-value') == 'quantity')
			$(this).html('##quantity##');
		else if($(this).attr('data-value') == 'gewicht')
			$(this).html('##gewicht##');
		else
			$(this).html('##e:'+$(this).attr('data-value')+'##');
	});
	$('#'+target).val($(ghost).text());
}

function setAktionPreis(select,i,a)
{
	if($(select).val() == '2')
	{
		$('#aktion_preis_'+i+'_'+a+' .right').addClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .full').removeClass('hidden');
	}
	else
	{
		$('#aktion_preis_'+i+'_'+a+' .right').removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .full').addClass('hidden');
	}
}
function setAktionFeld(select,i,a)
{
	if($(select).val() == '1')
	{
		$('#aktion_feld_'+i+'_'+a+' .right').addClass('hidden');
		$('#aktion_feld_'+i+'_'+a+' .full').removeClass('hidden');
	}
	else
	{
		$('#aktion_feld_'+i+'_'+a+' .right').removeClass('hidden');
		$('#aktion_feld_'+i+'_'+a+' .full').addClass('hidden');
	}
}

function setAktion(select,i,a)
{
	$('#aktion_verstecken_'+i+'_'+a).addClass('hidden');
	$('#aktion_preis_'+i+'_'+a).addClass('hidden');
	$('#aktion_feld_'+i+'_'+a).addClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .col-md-4').addClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .preis-btn').addClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .gewicht-btn').addClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .right').addClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .full').removeClass('hidden');
	$('#aktion_preis_'+i+'_'+a+' .grundpreis-info').addClass('hidden');
	
	if($(select).val() == '2')
		$('#aktion_feld_'+i+'_'+a).removeClass('hidden');
	else if($(select).val() == 3 || $(select).val() == 4)
		$('#aktion_verstecken_'+i+'_'+a).removeClass('hidden');
	else if($(select).val() == 5)
	{
		$('#aktion_preis_'+i+'_'+a).removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .gewicht-btn').removeClass('hidden');
	}
	else if($(select).val() == 6)
	{
		$('#aktion_preis_'+i+'_'+a).removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .preis-btn').removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .grundpreis-info').removeClass('hidden');
	}
	else if($(select).val() == 7)
	{
		$('#aktion_preis_'+i+'_'+a).removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .preis-btn').removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .gewicht-btn').removeClass('hidden');
	}
	else
	{
		$('#aktion_preis_'+i+'_'+a).removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .col-md-4').first().removeClass('hidden');
		$('#aktion_preis_'+i+'_'+a+' .preis-btn').removeClass('hidden');
		//Get Value of Field
		setAktionPreis($(select).parent().parent().find('#aktion_preis_'+i+'_'+a+' select'),i,a);
	}
}

function addField(elem,i,b)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> + ';
	$('#bedingungformel_div_'+i+'_'+b).append(html);
	$('#bedingungformel_div_'+i+'_'+b).trigger('keyup');
}
function addField2(elem,i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> + ';
	$('#aktion_preis_formel_div_'+i+'_'+a).append(html);
	$('#aktion_preis_formel_div_'+i+'_'+a).trigger('keyup');
}
function addGewicht(i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft gewicht" data-value="gewicht">{__('Gewicht')}</span> + ';
	$('#aktion_preis_formel_div_'+i+'_'+a).append(html);
	$('#aktion_preis_formel_div_'+i+'_'+a).trigger('keyup');
}
function addPreis(i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft price" data-value="price">{__('Preis')}</span> + ';
	$('#aktion_preis_formel_div_'+i+'_'+a).append(html);
	$('#aktion_preis_formel_div_'+i+'_'+a).trigger('keyup');
}
function addPreis2(i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft price" data-value="price">{__('Preis')}</span> + ';
	$('#bedingungformel_div_'+i+'_'+a).append(html);
	$('#bedingungformel_div_'+i+'_'+a).trigger('keyup');
}
function addPreis3(i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft price" data-value="price">{__('Preis')}</span> + ';
	$('#aktion_feld_formel_div_'+i+'_'+a).append(html);
	$('#aktion_feld_formel_div_'+i+'_'+a).trigger('keyup');
}
function addMenge(element)
{
	var html = '<span contenteditable="false" class="eigenschaft quantity" data-value="quantity">{__('Anzahl')}</span> * ';
	$(element).append(html);
	$(element).trigger('keyup');
}
function addField3(elem,i,a)
{
	var html = '<span contenteditable="false" class="eigenschaft" data-value="'+$(elem).attr('data-key')+'">'+$(elem).attr('data-name')+'</span> +';
	$('#aktion_feld_formel_div_'+i+'_'+a).append(html);
	$('#aktion_feld_formel_div_'+i+'_'+a).trigger('keyup');
}

function addBedingung(nr)
{ldelim}
	anzBedingung++;
	var html = $('#bedingungTemplate').html();
	html = html.replace(/##i##/g,nr);
	html = html.replace(/##b##/g,anzBedingung);
	$('#bedingung_'+nr).append(html);
	return false;
{rdelim}

function addAktion(nr)
{ldelim}
	anzAktionen++;
	var html = $('#aktionTemplate').html();
	html = html.replace(/##i##/g,nr);
	html = html.replace(/##a##/g,anzAktionen);
	$('#aktion_'+nr).append(html);
	return false;
	return false;
{rdelim}

function setBedingung(select,i,b,value)
{ldelim}
	if($(select).val() == -1)
	{
		$('#bedingungformel_'+i+'_'+b).removeClass('hidden');
		$('#bedingungformel_fields_'+i+'_'+b).removeClass('hidden');
		$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').removeAttr('disabled');
		$('#bedingungSelektor_'+i+'_'+b+' option:eq(3)').removeAttr('disabled');
		$('#bedingungValue_'+i+'_'+b).removeClass('hidden');
		$('#bedingungValueSelect_'+i+'_'+b).addClass('hidden');
	}
	else
	{
		$('#bedingungformel_'+i+'_'+b).addClass('hidden');
		$('#bedingungformel_fields_'+i+'_'+b).addClass('hidden');
		var data = $('option:selected', select).attr('data-optionen');
		console.log(data);
		var optionen = JSON.parse(data);
		if(optionen.length > 0)
		{
			if($('#bedingungSelektor_'+i+'_'+b).val() != "=" && $('#bedingungSelektor_'+i+'_'+b).val() != "!=")
				$('#bedingungSelektor_'+i+'_'+b).val('=');
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').attr('disabled',true);
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(3)').attr('disabled',true);
			$('#bedingungValue_'+i+'_'+b).addClass('hidden');
			$('#bedingungValueSelect_'+i+'_'+b).removeClass('hidden');
			//Jetzt noch die Optionen setzen
			$('#bedingungValueSelect_'+i+'_'+b).html('');
			for(let option of optionen)
			{
				$('#bedingungValueSelect_'+i+'_'+b).append('<option value="'+option.key+'">'+option.value+'</option>');
			}
			if(value)
				$('#bedingungValueSelect_'+i+'_'+b).val(value);
		}
		else
		{
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(2)').removeAttr('disabled');
			$('#bedingungSelektor_'+i+'_'+b+' option:eq(3)').removeAttr('disabled');
			$('#bedingungValue_'+i+'_'+b).removeClass('hidden');
			$('#bedingungValueSelect_'+i+'_'+b).addClass('hidden');
		}
	}
{rdelim}
{if $js_after != ''}{$js_after}{/if}
</script>